For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve order information

Use this method to extract information about orders in the Avangate platform.

Request parameters

Parameter
Type / Description

sessionID

String

Session identifier string, output of the Login method. An exception is thrown if the values are incorrect.

refNo

String

Order reference number of an existing approved/paid order.

Request sample

<?php

require ('PATH_TO_AUTH');  // Authentication example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/JSON-RPC/02Authentication

$refNo = 'YOUR_ORDER_REFERENCE_NUMBER';

$jsonRpcRequest = array (
  'method' => 'getOrder',
  'params' => array($sessionID, $refNo),
  'id' => $i++,
  'jsonrpc' => '2.0'
);
var_dump (callRPC((Object)$jsonRpcRequest, $host, true));

Response parameters

Parameter
Type

Object

Last updated

Was this helpful?